@echo off
Rem Installation of MSPA-Toolbox for ARCGIS
Set _num=0
Set _os_bitness=64
IF %PROCESSOR_ARCHITECTURE% == x86 (
  IF NOT DEFINED PROCESSOR_ARCHITEW6432 Set _os_bitness=32
  )

Rem Test if we use Windows 64bit 
if %_os_bitness% == 32 (
  echo This Toolbox is only supported for MS-Windows 64bit 
  goto :fin 
  ) 

Rem Test for ArcGIS Desktop 10.3:
set arcdir="%APPDATA%\ESRI\Desktop10.3"
set qplug="%APPDATA%\ESRI\Desktop10.3\ArcToolbox\My Toolboxes"
if exist %arcdir% (  
  echo Installing for ArcGIS 10.3
  md %qplug% 2>NUL
  xcopy MSPA %qplug% /Y /E /R /Q
  xcopy MSPA_Guide.pdf %qplug% /Y /R /Q
  xcopy MSPA-ToolboxArc.pdf %qplug% /Y /R /Q
  echo MSPA-Toolbox is now installed for 10.3. Please restart ArcGIS and follow the
  echo instructions in the MSPA-ToolboxArc.pdf to use the new toolbox.
  pushd %qplug%
  start MSPA-ToolboxArc.pdf
  popd
  set _num=1
  ) 

Rem Test for ArcGIS Desktop 10.4:
set arcdir="%APPDATA%\ESRI\Desktop10.4"
set qplug="%APPDATA%\ESRI\Desktop10.4\ArcToolbox\My Toolboxes"
if exist %arcdir% (  
  echo Installing for ArcGIS 10.4
  md %qplug% 2>NUL
  xcopy mspa %qplug% /Y /E /R /Q
  xcopy MSPA_Guide.pdf %qplug% /Y /R /Q
  xcopy MSPA-ToolboxArc.pdf %qplug% /Y /R /Q
  echo MSPA-Toolbox is now installed for 10.4. Please restart ArcGIS and follow the
  echo instructions in the MSPA-ToolboxArc.pdf to use the new toolbox.
  pushd %qplug%
  start MSPA-ToolboxArc.pdf
  popd
  set _num=1
  ) 

Rem Test for ArcGIS Desktop 10.5:
set arcdir="%APPDATA%\ESRI\Desktop10.5"
set qplug="%APPDATA%\ESRI\Desktop10.5\ArcToolbox\My Toolboxes"
if exist %arcdir% (  
  echo Installing for ArcGIS 10.5
  md %qplug% 2>NUL
  xcopy mspa %qplug% /Y /E /R /Q
  xcopy MSPA_Guide.pdf %qplug% /Y /R /Q
  xcopy MSPA-ToolboxArc.pdf %qplug% /Y /R /Q
  echo MSPA-Toolbox is now installed for 10.5. Please restart ArcGIS and follow the
  echo instructions in the MSPA-ToolboxArc.pdf to use the new toolbox.
  pushd %qplug%
  start MSPA-ToolboxArc.pdf
  popd
  set _num=1
  ) 

Rem Test for ArcGIS Desktop 10.6:
set arcdir="%APPDATA%\ESRI\Desktop10.6"
set qplug="%APPDATA%\ESRI\Desktop10.6\ArcToolbox\My Toolboxes"
if exist %arcdir% (  
  echo Installing for ArcGIS 10.6
  md %qplug% 2>NUL
  xcopy mspa %qplug% /Y /E /R /Q
  xcopy MSPA_Guide.pdf %qplug% /Y /R /Q
  xcopy MSPA-ToolboxArc.pdf %qplug% /Y /R /Q
  echo MSPA-Toolbox is now installed for 10.6. Please restart ArcGIS and follow the
  echo instructions in the MSPA-ToolboxArc.pdf to use the new toolbox.
  pushd %qplug%
  start MSPA-ToolboxArc.pdf
  popd
  set _num=1
  ) 

Rem Test for ArcGIS Desktop 10.7:
set arcdir="%APPDATA%\ESRI\Desktop10.7"
set qplug="%APPDATA%\ESRI\Desktop10.7\ArcToolbox\My Toolboxes"
if exist %arcdir% (  
  echo Installing for ArcGIS 10.7
  md %qplug% 2>NUL
  xcopy mspa %qplug% /Y /E /R /Q
  xcopy MSPA_Guide.pdf %qplug% /Y /R /Q
  xcopy MSPA-ToolboxArc.pdf %qplug% /Y /R /Q
  echo MSPA-Toolbox is now installed for 10.7. Please restart ArcGIS and follow the
  echo instructions in the MSPA-ToolboxArc.pdf to use the new toolbox.
  pushd %qplug%
  start MSPA-ToolboxArc.pdf
  popd
  set _num=1
  ) 
 
Rem Test for ArcGIS Desktop 10.8:
set arcdir="%APPDATA%\ESRI\Desktop10.8"
set qplug="%APPDATA%\ESRI\Desktop10.8\ArcToolbox\My Toolboxes"
if exist %arcdir% (  
  echo Installing for ArcGIS 10.8
  md %qplug% 2>NUL
  xcopy mspa %qplug% /Y /E /R /Q
  xcopy MSPA_Guide.pdf %qplug% /Y /R /Q
  xcopy MSPA-ToolboxArc.pdf %qplug% /Y /R /Q
  echo MSPA-Toolbox is now installed for 10.8. Please restart ArcGIS and follow the
  echo instructions in the MSPA-ToolboxArc.pdf to use the new toolbox.
  pushd %qplug%
  start MSPA-ToolboxArc.pdf
  popd
  set _num=1
  ) 

Rem Test for ArcGIS PRO Desktop 2:
set qplug="%USERPROFILE%\MSPA-Toolbox"
if exist "%ProgramFiles%\ArcGIS\Pro\bin\ArcGISPro.exe" (  
  echo Installing for ArcGIS PRO
  md %qplug% 2>NUL
  xcopy mspa %qplug% /Y /E /R /Q
  xcopy MSPA_Guide.pdf %qplug% /Y /R /Q
  xcopy MSPA-ToolboxArc.pdf %qplug% /Y /R /Q
  echo MSPA-Toolbox is now installed for ArcGIS Pro. Please restart ArcGIS and follow the
  echo instructions in the MSPA-ToolboxArc.pdf to use the new toolbox.
  pushd %qplug%
  start MSPA-ToolboxArc.pdf
  popd
  set _num=1
  goto :fin 
  ) 

:fin

if %_num% == 0 (
  echo ArcGIS ^>= 10.3 or ArcGISPro was not found on your system.
  echo Please download and install the latest ARCGIS version
  echo to its default location.
  start https://www.esri.com/en-us/arcgis/about-arcgis/overview
)

pause
